d6a668ed4f6fdf0d9f5ce9199126e153b336ec04
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at    
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 @GIWS_TRUE@am__append_1 = giws
110 @SWIG_TRUE@am__append_2 = swig
111 @GUI_TRUE@am__append_3 = libsciui_data.la 
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_4 = java
116 subdir = modules/ui_data
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
119         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
120         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
131         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
132         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
133         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
134         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
170         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
171         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
172         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
173 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
174 libsciui_data_algo_la_LIBADD =
175 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
176         libsciui_data_algo_la-PutScilabVariable.lo
177 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
178         libsciui_data_algo_la-EditVar.lo \
179         libsciui_data_algo_la-FileBrowser.lo
180 am__objects_3 = libsciui_data_algo_la-BrowseVarManager.lo \
181         libsciui_data_algo_la-FileBrowserChDir.lo
182 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
183         $(am__objects_3)
184 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
190 libsciui_data_disable_la_LIBADD =
191 am__objects_4 = libsciui_data_disable_la-noui_data.lo
192 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
193 libsciui_data_disable_la_OBJECTS =  \
194         $(am_libsciui_data_disable_la_OBJECTS)
195 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
196 am__objects_5 = libsciui_data_la-gw_ui_data.lo
197 am__objects_6 = libsciui_data_la-sci_editvar.lo \
198         libsciui_data_la-sci_browsevar.lo \
199         libsciui_data_la-sci_filebrowser.lo \
200         libsciui_data_la-sci_updatebrowsevar.lo \
201         libsciui_data_la-sci_closeEditvar.lo
202 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
203 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
204 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
205         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
206         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
207         $(LDFLAGS) -o $@
208 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
209 AM_V_P = $(am__v_P_@AM_V@)
210 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
211 am__v_P_0 = false
212 am__v_P_1 = :
213 AM_V_GEN = $(am__v_GEN_@AM_V@)
214 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
215 am__v_GEN_0 = @echo "  GEN     " $@;
216 am__v_GEN_1 = 
217 AM_V_at = $(am__v_at_@AM_V@)
218 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
219 am__v_at_0 = @
220 am__v_at_1 = 
221 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
222 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
223 am__depfiles_maybe = depfiles
224 am__mv = mv -f
225 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230         $(AM_CFLAGS) $(CFLAGS)
231 AM_V_CC = $(am__v_CC_@AM_V@)
232 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233 am__v_CC_0 = @echo "  CC      " $@;
234 am__v_CC_1 = 
235 CCLD = $(CC)
236 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238         $(AM_LDFLAGS) $(LDFLAGS) -o $@
239 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241 am__v_CCLD_0 = @echo "  CCLD    " $@;
242 am__v_CCLD_1 = 
243 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
244         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
245 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CXXFLAGS) $(CXXFLAGS)
249 AM_V_CXX = $(am__v_CXX_@AM_V@)
250 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
251 am__v_CXX_0 = @echo "  CXX     " $@;
252 am__v_CXX_1 = 
253 CXXLD = $(CXX)
254 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
256         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
258 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
259 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
260 am__v_CXXLD_1 = 
261 SOURCES = $(libsciui_data_algo_la_SOURCES) \
262         $(libsciui_data_disable_la_SOURCES) \
263         $(libsciui_data_la_SOURCES)
264 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
265         $(libsciui_data_disable_la_SOURCES) \
266         $(libsciui_data_la_SOURCES)
267 am__can_run_installinfo = \
268   case $$AM_UPDATE_INFO_DIR in \
269     n|no|NO) false;; \
270     *) (install-info --version) >/dev/null 2>&1;; \
271   esac
272 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
273         $(libsciui_data_la_sci_gateway_DATA) \
274         $(nobase_libsciui_data_la_icons_DATA)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DOCBOOK_ROOT = @DOCBOOK_ROOT@
336 DOXYGEN_BIN = @DOXYGEN_BIN@
337 DSYMUTIL = @DSYMUTIL@
338 DUMPBIN = @DUMPBIN@
339 ECHO_C = @ECHO_C@
340 ECHO_N = @ECHO_N@
341 ECHO_T = @ECHO_T@
342 EGREP = @EGREP@
343 EXEEXT = @EXEEXT@
344 F77 = @F77@
345 FFLAGS = @FFLAGS@
346 FFTW3_LIB = @FFTW3_LIB@
347 FFTW_ENABLE = @FFTW_ENABLE@
348 FGREP = @FGREP@
349 FLEXDOCK = @FLEXDOCK@
350 FLIBS = @FLIBS@
351 FOP = @FOP@
352 GENHTML = @GENHTML@
353 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
354 GIWS_BIN = @GIWS_BIN@
355 GLUEGEN2_RT = @GLUEGEN2_RT@
356 GMSGFMT = @GMSGFMT@
357 GMSGFMT_015 = @GMSGFMT_015@
358 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
359 GREP = @GREP@
360 GUI_ENABLE = @GUI_ENABLE@
361 HDF5_CFLAGS = @HDF5_CFLAGS@
362 HDF5_LIBS = @HDF5_LIBS@
363 HELP_ENABLE = @HELP_ENABLE@
364 INSTALL = @INSTALL@
365 INSTALL_DATA = @INSTALL_DATA@
366 INSTALL_PROGRAM = @INSTALL_PROGRAM@
367 INSTALL_SCRIPT = @INSTALL_SCRIPT@
368 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
369 INTLLIBS = @INTLLIBS@
370 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
371 JAR = @JAR@
372 JAVA = @JAVA@
373 JAVAC = @JAVAC@
374 JAVAC_DEBUG = @JAVAC_DEBUG@
375 JAVADOC = @JAVADOC@
376 JAVAH = @JAVAH@
377 JAVASCI_ENABLE = @JAVASCI_ENABLE@
378 JAVA_ENABLE = @JAVA_ENABLE@
379 JAVA_G = @JAVA_G@
380 JAVA_HOME = @JAVA_HOME@
381 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
382 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
383 JDB = @JDB@
384 JEUCLID_CORE = @JEUCLID_CORE@
385 JGRAPHX = @JGRAPHX@
386 JHALL = @JHALL@
387 JLATEXMATH = @JLATEXMATH@
388 JLATEXMATH_FOP = @JLATEXMATH_FOP@
389 JOGL2 = @JOGL2@
390 JROSETTA_API = @JROSETTA_API@
391 JROSETTA_ENGINE = @JROSETTA_ENGINE@
392 JUNIT4 = @JUNIT4@
393 LAPACK_LIBS = @LAPACK_LIBS@
394 LCOV = @LCOV@
395 LD = @LD@
396 LDFLAGS = @LDFLAGS@
397 LIBICONV = @LIBICONV@
398 LIBINTL = @LIBINTL@
399 LIBM = @LIBM@
400 LIBOBJS = @LIBOBJS@
401 LIBS = @LIBS@
402 LIBTOOL = @LIBTOOL@
403 LIPO = @LIPO@
404 LN_S = @LN_S@
405 LOGGING_LEVEL = @LOGGING_LEVEL@
406 LOOKS = @LOOKS@
407 LTLIBICONV = @LTLIBICONV@
408 LTLIBINTL = @LTLIBINTL@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MATIO_CFLAGS = @MATIO_CFLAGS@
413 MATIO_ENABLE = @MATIO_ENABLE@
414 MATIO_LIBS = @MATIO_LIBS@
415 MKDIR_P = @MKDIR_P@
416 MPI_ENABLE = @MPI_ENABLE@
417 MSGCAT = @MSGCAT@
418 MSGFMT = @MSGFMT@
419 MSGFMT_015 = @MSGFMT_015@
420 MSGMERGE = @MSGMERGE@
421 NM = @NM@
422 NMEDIT = @NMEDIT@
423 OBJDUMP = @OBJDUMP@
424 OBJEXT = @OBJEXT@
425 OCAMLC = @OCAMLC@
426 OCAMLDEP = @OCAMLDEP@
427 OCAMLLEX = @OCAMLLEX@
428 OCAMLOPT = @OCAMLOPT@
429 OCAMLYACC = @OCAMLYACC@
430 OPENMPI_CC = @OPENMPI_CC@
431 OPENMPI_CXX = @OPENMPI_CXX@
432 OPENMPI_FLAGS = @OPENMPI_FLAGS@
433 OPENMPI_LIBS = @OPENMPI_LIBS@
434 OPENMP_CFLAGS = @OPENMP_CFLAGS@
435 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
436 OPENMP_ENABLE = @OPENMP_ENABLE@
437 OPENMP_LIBS = @OPENMP_LIBS@
438 OTOOL = @OTOOL@
439 OTOOL64 = @OTOOL64@
440 PACKAGE = @PACKAGE@
441 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
442 PACKAGE_NAME = @PACKAGE_NAME@
443 PACKAGE_STRING = @PACKAGE_STRING@
444 PACKAGE_TARNAME = @PACKAGE_TARNAME@
445 PACKAGE_URL = @PACKAGE_URL@
446 PACKAGE_VERSION = @PACKAGE_VERSION@
447 PATH_SEPARATOR = @PATH_SEPARATOR@
448 PCRE_CFLAGS = @PCRE_CFLAGS@
449 PCRE_CONFIG = @PCRE_CONFIG@
450 PCRE_LIBS = @PCRE_LIBS@
451 PCRE_VERSION = @PCRE_VERSION@
452 PKG_CONFIG = @PKG_CONFIG@
453 POSUB = @POSUB@
454 POW_LIB = @POW_LIB@
455 PYTHON = @PYTHON@
456 RANLIB = @RANLIB@
457 RELOCATABLE = @RELOCATABLE@
458 RT_LIB = @RT_LIB@
459 SAXON = @SAXON@
460 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
461 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
462 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
463 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
464 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
465 SCIRENDERER = @SCIRENDERER@
466 SCIRENDERER_CP = @SCIRENDERER_CP@
467 SCI_CFLAGS = @SCI_CFLAGS@
468 SCI_CXXFLAGS = @SCI_CXXFLAGS@
469 SCI_FFLAGS = @SCI_FFLAGS@
470 SCI_LDFLAGS = @SCI_LDFLAGS@
471 SED = @SED@
472 SET_MAKE = @SET_MAKE@
473 SET_RELOCATABLE = @SET_RELOCATABLE@
474 SHELL = @SHELL@
475 SKINLF = @SKINLF@
476 SPLINT = @SPLINT@
477 STRIP = @STRIP@
478 SWIG_BIN = @SWIG_BIN@
479 SWIG_JAVA = @SWIG_JAVA@
480 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
481 TCLTK_LIBS = @TCLTK_LIBS@
482 TCL_INC_PATH = @TCL_INC_PATH@
483 TK_INC_PATH = @TK_INC_PATH@
484 UMFPACK_ENABLE = @UMFPACK_ENABLE@
485 UMFPACK_LIB = @UMFPACK_LIB@
486 USE_NLS = @USE_NLS@
487 VERSION = @VERSION@
488 WITH_OCAML = @WITH_OCAML@
489 WITH_TKSCI = @WITH_TKSCI@
490 XCOS_ENABLE = @XCOS_ENABLE@
491 XGETTEXT = @XGETTEXT@
492 XGETTEXT_015 = @XGETTEXT_015@
493 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
494 XMKMF = @XMKMF@
495 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
496 XML_APIS_EXT = @XML_APIS_EXT@
497 XML_CONFIG = @XML_CONFIG@
498 XML_FLAGS = @XML_FLAGS@
499 XML_LIBS = @XML_LIBS@
500 XML_VERSION = @XML_VERSION@
501 X_CFLAGS = @X_CFLAGS@
502 X_EXTRA_LIBS = @X_EXTRA_LIBS@
503 X_LIBS = @X_LIBS@
504 X_PRE_LIBS = @X_PRE_LIBS@
505 abs_builddir = @abs_builddir@
506 abs_srcdir = @abs_srcdir@
507 abs_top_builddir = @abs_top_builddir@
508 abs_top_srcdir = @abs_top_srcdir@
509 ac_ct_AR = @ac_ct_AR@
510 ac_ct_CC = @ac_ct_CC@
511 ac_ct_CXX = @ac_ct_CXX@
512 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
513 ac_ct_F77 = @ac_ct_F77@
514 am__include = @am__include@
515 am__leading_dot = @am__leading_dot@
516 am__quote = @am__quote@
517 am__tar = @am__tar@
518 am__untar = @am__untar@
519 bindir = @bindir@
520 build = @build@
521 build_alias = @build_alias@
522 build_cpu = @build_cpu@
523 build_os = @build_os@
524 build_vendor = @build_vendor@
525 builddir = @builddir@
526 cxx_present = @cxx_present@
527 datadir = @datadir@
528 datarootdir = @datarootdir@
529 docdir = @docdir@
530 dvidir = @dvidir@
531 exec_prefix = @exec_prefix@
532 host = @host@
533 host_alias = @host_alias@
534 host_cpu = @host_cpu@
535 host_os = @host_os@
536 host_vendor = @host_vendor@
537 htmldir = @htmldir@
538 includedir = @includedir@
539 infodir = @infodir@
540 install_sh = @install_sh@
541 libdir = @libdir@
542 libexecdir = @libexecdir@
543 localedir = @localedir@
544 localstatedir = @localstatedir@
545 mandir = @mandir@
546 mkdir_p = @mkdir_p@
547 oldincludedir = @oldincludedir@
548 pdfdir = @pdfdir@
549 prefix = @prefix@
550 program_transform_name = @program_transform_name@
551 psdir = @psdir@
552 sbindir = @sbindir@
553 sharedstatedir = @sharedstatedir@
554 srcdir = @srcdir@
555 sysconfdir = @sysconfdir@
556 target_alias = @target_alias@
557 top_build_prefix = @top_build_prefix@
558 top_builddir = @top_builddir@
559 top_srcdir = @top_srcdir@
560
561 #### Target ######
562 modulename = ui_data
563
564 #### ui_data : Conf files ####
565 libsciui_data_la_rootdir = $(mydatadir)
566 libsciui_data_la_root_DATA = license.txt 
567
568 #### ui_data : init scripts ####
569 libsciui_data_la_etcdir = $(mydatadir)/etc
570 libsciui_data_la_etc_DATA = \
571         etc/ui_data.quit \
572         etc/ui_data.start \
573         etc/variablebrowser_menubar.xml \
574         etc/variableeditor_menubar.xml \
575         etc/XConfiguration-variables.xml \
576         etc/XConfiguration-variables.xsl
577
578 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
579                       src/jni/EditVar.cpp \
580                       src/jni/FileBrowser.cpp
581
582 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
583                     src/c/PutScilabVariable.c
584
585 UI_DATA_CXX_SOURCES = src/cpp/BrowseVarManager.cpp \
586                       src/cpp/FileBrowserChDir.cpp
587
588 GIWS_WRAPPERS = \
589 src/jni/BrowseVar.giws.xml \
590 src/jni/EditVar.giws.xml \
591 src/jni/FileBrowser.giws.xml
592
593 SWIG_WRAPPERS = \
594 src/jni/ui_data.i
595
596 BUILT_SOURCES = $(am__append_1) $(am__append_2)
597 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
598 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
599                       sci_gateway/cpp/sci_browsevar.cpp \
600                       sci_gateway/cpp/sci_filebrowser.cpp \
601                         sci_gateway/cpp/sci_updatebrowsevar.cpp \
602                         sci_gateway/cpp/sci_closeEditvar.cpp
603
604 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
605                         -I$(srcdir)/includes/ \
606                         -I$(srcdir)/src/cpp/ \
607                         -I$(srcdir)/src/c/ \
608                         -I$(srcdir)/src/jni/ \
609                         -I$(top_srcdir)/modules/jvm/includes/ \
610                         -I$(top_srcdir)/modules/output_stream/includes/ \
611                         -I$(top_srcdir)/modules/commons/src/jni \
612                         -I$(top_srcdir)/modules/localization/includes/ \
613                         -I$(top_srcdir)/modules/api_scilab/includes/ \
614                         -I$(top_srcdir)/modules/fileio/includes/ \
615                         -I$(top_srcdir)/modules/core/includes \
616                         $(AM_CPPFLAGS)
617
618
619 # Without the ui_data module 
620 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
621                         -I$(top_srcdir)/modules/localization/includes/ \
622                         -I$(top_srcdir)/modules/output_stream/includes \
623                         $(AM_CPPFLAGS)
624
625 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
626 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
627 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
628 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la 
629 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
630 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
631 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
632 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
633
634 # For the code check (splint)
635 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
636 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
637 libsciui_data_la_LIBADD = libsciui_data-algo.la
638
639 #### ui_data : gateway declaration ####
640 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
641 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
642
643 #### ui_data : icons files ####
644 #
645 # Generated with:
646 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
647 libsciui_data_la_iconsdir = $(mydatadir)/
648 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
649 images/icons/16x16/mimetypes/boolean.png \
650 images/icons/16x16/mimetypes/cell.png \
651 images/icons/16x16/mimetypes/double.png \
652 images/icons/16x16/mimetypes/fptr.png \
653 images/icons/16x16/mimetypes/function.png \
654 images/icons/16x16/mimetypes/handle.png \
655 images/icons/16x16/mimetypes/int.png \
656 images/icons/16x16/mimetypes/list.png \
657 images/icons/16x16/mimetypes/mlist.png \
658 images/icons/16x16/mimetypes/noicon.png \
659 images/icons/16x16/mimetypes/object.png \
660 images/icons/16x16/mimetypes/polynomial.png \
661 images/icons/16x16/mimetypes/sparse.png \
662 images/icons/16x16/mimetypes/string.png \
663 images/icons/16x16/mimetypes/timeseries.png \
664 images/icons/16x16/mimetypes/tlist.png \
665 images/icons/16x16/mimetypes/uint.png \
666 images/icons/16x16/mimetypes/user.png
667
668 @GUI_TRUE@USEANT = 1
669
670 # Where all the Scilab stuff is installed (macros, help, ...)
671 mydatadir = $(pkgdatadir)/modules/$(modulename)
672
673 # Set AM_* SCI detected settings
674 AM_CPPFLAGS = $(SCI_CPPFLAGS)
675 AM_CFLAGS = $(SCI_CFLAGS)
676 AM_CXXFLAGS = $(SCI_CXXFLAGS)
677 # append includes to AM_FFLAGS to manage fortran includes
678 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
679
680 # Tag shared libraries with the Scilab version
681 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
682
683 # splint options
684 SPLINT_OPTIONS = -weak -booltype BOOL
685
686 ########################### JAVA ######################################
687 #### We are delegating java compilation to ant... Thanks to that
688 #### the procedure will be the same with Microsoft Windows (C)
689 #### and Linux/Unix
690 #######################################################################
691 TARGETS_ALL = $(am__append_4)
692
693 ################ MACROS ######################
694 # Rule to build a macro
695 # NOT USED  AT THE MOMENT
696 SUFFIXES = .sci 
697
698 ########### INSTALL DOCUMENTATION ###################
699
700 # Install documentation files into the right target
701 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
702 # automake needs the html files to be present which is not the case when
703 # we are building Scilab
704
705 # Where it should be installed
706 pkgdocdir = $(mydatadir)
707
708 # What is the mask of the help source
709 DOCMASKXML = *.xml
710
711 # What is the mask of the MathML sources
712 DOCMASKMML = *.mml
713
714 ########### INSTALL DATA ###################
715 # Install macros, help & demos
716 # Where it should be installed
717 pkgmacrosdir = $(mydatadir)
718 # Which directory we process
719 MACRODIRS = macros/
720 # Mask of the Scilab sources macros
721 MACROMASK = *.sci
722 # Mask of the Scilab executable sources macros
723 MACROBUILDMASK = *.sce
724 # Mask of the Scilab compiled macros
725 MACROBINMASK = *.bin
726 # List of the standard directory for tests
727 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
728 # Where the demos should be installed
729 pkgdemosdir = $(mydatadir)
730 # List of the standard directory for demos
731 DEMOS_DIR = demos
732 # List of the standard directory for examples
733 EXAMPLES_DIR = examples
734 # Where to export JAVA archives (.jar)
735 JARDIR = jar/
736 # JAR files mask
737 JARMASK = *.jar
738 # Chapter file 
739 HELP_CHAPTERDIR = help/
740 HELP_CHAPTERFILE = addchapter.sce
741 HELP_CHAPTERLANG = en_US fr_FR pt_BR
742 all: $(BUILT_SOURCES)
743         $(MAKE) $(AM_MAKEFLAGS) all-am
744
745 .SUFFIXES:
746 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
747 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
748         @for dep in $?; do \
749           case '$(am__configure_deps)' in \
750             *$$dep*) \
751               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
752                 && { if test -f $@; then exit 0; else break; fi; }; \
753               exit 1;; \
754           esac; \
755         done; \
756         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
757         $(am__cd) $(top_srcdir) && \
758           $(AUTOMAKE) --foreign modules/ui_data/Makefile
759 .PRECIOUS: Makefile
760 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
761         @case '$?' in \
762           *config.status*) \
763             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
764           *) \
765             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
766             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
767         esac;
768 $(top_srcdir)/Makefile.incl.am:
769
770 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
771         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
772
773 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
774         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
775 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
776         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
777 $(am__aclocal_m4_deps):
778
779 clean-noinstLTLIBRARIES:
780         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
781         @list='$(noinst_LTLIBRARIES)'; \
782         locs=`for p in $$list; do echo $$p; done | \
783               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
784               sort -u`; \
785         test -z "$$locs" || { \
786           echo rm -f $${locs}; \
787           rm -f $${locs}; \
788         }
789
790 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
791         @$(NORMAL_INSTALL)
792         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
793         list2=; for p in $$list; do \
794           if test -f $$p; then \
795             list2="$$list2 $$p"; \
796           else :; fi; \
797         done; \
798         test -z "$$list2" || { \
799           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
800           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
801           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
802           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
803         }
804
805 uninstall-pkglibLTLIBRARIES:
806         @$(NORMAL_UNINSTALL)
807         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
808         for p in $$list; do \
809           $(am__strip_dir) \
810           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
811           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
812         done
813
814 clean-pkglibLTLIBRARIES:
815         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
816         @list='$(pkglib_LTLIBRARIES)'; \
817         locs=`for p in $$list; do echo $$p; done | \
818               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
819               sort -u`; \
820         test -z "$$locs" || { \
821           echo rm -f $${locs}; \
822           rm -f $${locs}; \
823         }
824
825 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
826         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
827
828 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
829         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
830
831 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
832         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
833
834 mostlyclean-compile:
835         -rm -f *.$(OBJEXT)
836
837 distclean-compile:
838         -rm -f *.tab.c
839
840 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
841 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
842 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
843 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
844 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
845 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
846 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
847 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
848 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
849 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
850 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
851 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
852 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
853 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
854
855 .c.o:
856 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
857 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
860 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
861
862 .c.obj:
863 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
864 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
867 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
868
869 .c.lo:
870 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
871 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
874 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
875
876 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
877 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
878 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
881 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
882
883 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
884 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
885 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
886 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
888 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
889
890 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
891 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
892 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
893 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
895 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
896
897 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
898 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
899 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
903
904 .cpp.o:
905 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
906 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
907 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
908 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
910
911 .cpp.obj:
912 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
913 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
914 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
915 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
917
918 .cpp.lo:
919 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
920 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
921 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
924
925 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
926 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
927 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
928 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
929 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
931
932 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
933 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
934 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
935 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
938
939 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
940 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
941 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
942 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
943 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
945
946 libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
947 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
948 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
949 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
950 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
952
953 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
954 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
955 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
956 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
957 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
959
960 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
961 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
962 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
963 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
964 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
966
967 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
968 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
969 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
970 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
972 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
973
974 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
975 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
976 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
977 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
979 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
980
981 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
982 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
983 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
984 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
986 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
987
988 libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
989 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
990 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
991 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
993 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
994
995 mostlyclean-libtool:
996         -rm -f *.lo
997
998 clean-libtool:
999         -rm -rf .libs _libs
1000 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1001         @$(NORMAL_INSTALL)
1002         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1003         if test -n "$$list"; then \
1004           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1005           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1006         fi; \
1007         for p in $$list; do \
1008           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1009           echo "$$d$$p"; \
1010         done | $(am__base_list) | \
1011         while read files; do \
1012           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1013           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1014         done
1015
1016 uninstall-libsciui_data_la_etcDATA:
1017         @$(NORMAL_UNINSTALL)
1018         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1019         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1020         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1021 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1022         @$(NORMAL_INSTALL)
1023         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1024         if test -n "$$list"; then \
1025           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1026           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1027         fi; \
1028         for p in $$list; do \
1029           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1030           echo "$$d$$p"; \
1031         done | $(am__base_list) | \
1032         while read files; do \
1033           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1034           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1035         done
1036
1037 uninstall-libsciui_data_la_rootDATA:
1038         @$(NORMAL_UNINSTALL)
1039         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1040         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1041         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1042 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1043         @$(NORMAL_INSTALL)
1044         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1045         if test -n "$$list"; then \
1046           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1047           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1048         fi; \
1049         for p in $$list; do \
1050           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1051           echo "$$d$$p"; \
1052         done | $(am__base_list) | \
1053         while read files; do \
1054           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1055           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1056         done
1057
1058 uninstall-libsciui_data_la_sci_gatewayDATA:
1059         @$(NORMAL_UNINSTALL)
1060         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1061         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1062         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1063 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1064         @$(NORMAL_INSTALL)
1065         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1066         if test -n "$$list"; then \
1067           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1068           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1069         fi; \
1070         $(am__nobase_list) | while read dir files; do \
1071           xfiles=; for file in $$files; do \
1072             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1073             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1074           test -z "$$xfiles" || { \
1075             test "x$$dir" = x. || { \
1076               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1077               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1078             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1079             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1080         done
1081
1082 uninstall-nobase_libsciui_data_la_iconsDATA:
1083         @$(NORMAL_UNINSTALL)
1084         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1085         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1086         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1087
1088 ID: $(am__tagged_files)
1089         $(am__define_uniq_tagged_files); mkid -fID $$unique
1090 tags: tags-am
1091 TAGS: tags
1092
1093 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1094         set x; \
1095         here=`pwd`; \
1096         $(am__define_uniq_tagged_files); \
1097         shift; \
1098         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1099           test -n "$$unique" || unique=$$empty_fix; \
1100           if test $$# -gt 0; then \
1101             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1102               "$$@" $$unique; \
1103           else \
1104             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1105               $$unique; \
1106           fi; \
1107         fi
1108 ctags: ctags-am
1109
1110 CTAGS: ctags
1111 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1112         $(am__define_uniq_tagged_files); \
1113         test -z "$(CTAGS_ARGS)$$unique" \
1114           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1115              $$unique
1116
1117 GTAGS:
1118         here=`$(am__cd) $(top_builddir) && pwd` \
1119           && $(am__cd) $(top_srcdir) \
1120           && gtags -i $(GTAGS_ARGS) "$$here"
1121 cscopelist: cscopelist-am
1122
1123 cscopelist-am: $(am__tagged_files)
1124         list='$(am__tagged_files)'; \
1125         case "$(srcdir)" in \
1126           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1127           *) sdir=$(subdir)/$(srcdir) ;; \
1128         esac; \
1129         for i in $$list; do \
1130           if test -f "$$i"; then \
1131             echo "$(subdir)/$$i"; \
1132           else \
1133             echo "$$sdir/$$i"; \
1134           fi; \
1135         done >> $(top_builddir)/cscope.files
1136
1137 distclean-tags:
1138         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1139
1140 distdir: $(DISTFILES)
1141         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1142         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1143         list='$(DISTFILES)'; \
1144           dist_files=`for file in $$list; do echo $$file; done | \
1145           sed -e "s|^$$srcdirstrip/||;t" \
1146               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1147         case $$dist_files in \
1148           */*) $(MKDIR_P) `echo "$$dist_files" | \
1149                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1150                            sort -u` ;; \
1151         esac; \
1152         for file in $$dist_files; do \
1153           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1154           if test -d $$d/$$file; then \
1155             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1156             if test -d "$(distdir)/$$file"; then \
1157               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1158             fi; \
1159             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1160               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1161               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1162             fi; \
1163             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1164           else \
1165             test -f "$(distdir)/$$file" \
1166             || cp -p $$d/$$file "$(distdir)/$$file" \
1167             || exit 1; \
1168           fi; \
1169         done
1170 check-am: all-am
1171         $(MAKE) $(AM_MAKEFLAGS) check-local
1172 check: $(BUILT_SOURCES)
1173         $(MAKE) $(AM_MAKEFLAGS) check-am
1174 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1175 installdirs:
1176         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1177           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1178         done
1179 install: $(BUILT_SOURCES)
1180         $(MAKE) $(AM_MAKEFLAGS) install-am
1181 install-exec: install-exec-am
1182 install-data: install-data-am
1183 uninstall: uninstall-am
1184
1185 install-am: all-am
1186         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1187
1188 installcheck: installcheck-am
1189 install-strip:
1190         if test -z '$(STRIP)'; then \
1191           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1192             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1193               install; \
1194         else \
1195           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1196             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1197             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1198         fi
1199 mostlyclean-generic:
1200
1201 clean-generic:
1202
1203 distclean-generic:
1204         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1205         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1206
1207 maintainer-clean-generic:
1208         @echo "This command is intended for maintainers to use"
1209         @echo "it deletes files that may require special tools to rebuild."
1210         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1211 clean: clean-am
1212
1213 clean-am: clean-generic clean-libtool clean-local \
1214         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1215
1216 distclean: distclean-am
1217         -rm -rf ./$(DEPDIR)
1218         -rm -f Makefile
1219 distclean-am: clean-am distclean-compile distclean-generic \
1220         distclean-local distclean-tags
1221
1222 dvi: dvi-am
1223
1224 dvi-am:
1225
1226 html: html-am
1227
1228 html-am:
1229
1230 info: info-am
1231
1232 info-am:
1233
1234 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1235         install-libsciui_data_la_rootDATA \
1236         install-libsciui_data_la_sci_gatewayDATA \
1237         install-nobase_libsciui_data_la_iconsDATA
1238
1239 install-dvi: install-dvi-am
1240
1241 install-dvi-am:
1242
1243 install-exec-am: install-pkglibLTLIBRARIES
1244
1245 install-html: install-html-am
1246
1247 install-html-am: install-html-local
1248
1249 install-info: install-info-am
1250
1251 install-info-am:
1252
1253 install-man:
1254
1255 install-pdf: install-pdf-am
1256
1257 install-pdf-am:
1258
1259 install-ps: install-ps-am
1260
1261 install-ps-am:
1262
1263 installcheck-am:
1264
1265 maintainer-clean: maintainer-clean-am
1266         -rm -rf ./$(DEPDIR)
1267         -rm -f Makefile
1268 maintainer-clean-am: distclean-am maintainer-clean-generic
1269
1270 mostlyclean: mostlyclean-am
1271
1272 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1273         mostlyclean-libtool
1274
1275 pdf: pdf-am
1276
1277 pdf-am:
1278
1279 ps: ps-am
1280
1281 ps-am:
1282
1283 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1284         uninstall-libsciui_data_la_rootDATA \
1285         uninstall-libsciui_data_la_sci_gatewayDATA \
1286         uninstall-nobase_libsciui_data_la_iconsDATA \
1287         uninstall-pkglibLTLIBRARIES
1288
1289 .MAKE: all check check-am install install-am install-strip
1290
1291 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1292         check-local clean clean-generic clean-libtool clean-local \
1293         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1294         ctags ctags-am distclean distclean-compile distclean-generic \
1295         distclean-libtool distclean-local distclean-tags distdir dvi \
1296         dvi-am html html-am info info-am install install-am \
1297         install-data install-data-am install-data-local install-dvi \
1298         install-dvi-am install-exec install-exec-am install-html \
1299         install-html-am install-html-local install-info \
1300         install-info-am install-libsciui_data_la_etcDATA \
1301         install-libsciui_data_la_rootDATA \
1302         install-libsciui_data_la_sci_gatewayDATA install-man \
1303         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1304         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1305         install-ps-am install-strip installcheck installcheck-am \
1306         installdirs maintainer-clean maintainer-clean-generic \
1307         mostlyclean mostlyclean-compile mostlyclean-generic \
1308         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1309         uninstall-am uninstall-libsciui_data_la_etcDATA \
1310         uninstall-libsciui_data_la_rootDATA \
1311         uninstall-libsciui_data_la_sci_gatewayDATA \
1312         uninstall-nobase_libsciui_data_la_iconsDATA \
1313         uninstall-pkglibLTLIBRARIES
1314
1315
1316 # This target enables tests for Scilab
1317 check-local: $(top_builddir)/scilab-bin test
1318         if test -d $(mydatadir)/tests; then \
1319           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1320         fi
1321 check-code:
1322         if test -f build.xml; then \
1323                 $(ANT) checkstyle; \
1324         fi
1325         if test -x "$(SPLINT)"; then \
1326                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1327         fi
1328 @NEED_JAVA_TRUE@java:
1329 # Some configurations needs to export JAVA_HOME in the current env
1330 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1331 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1332 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1333 @NEED_JAVA_TRUE@                $(ANT); \
1334 @NEED_JAVA_TRUE@        fi
1335
1336 @NEED_JAVA_TRUE@clean-java:
1337 # Some configurations needs to export JAVA_HOME in the current env
1338 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1339 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1340 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1341 @NEED_JAVA_TRUE@                $(ANT) clean; \
1342 @NEED_JAVA_TRUE@        fi;
1343
1344 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1345 # We call the target swig-build on the variable SWIG_WRAPPERS
1346
1347 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1348 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1349 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1350 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1351 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1352 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1353 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1354 @SWIG_TRUE@             done; \
1355 @SWIG_TRUE@     fi
1356
1357 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1358 # We call the target swig-build on the variable SWIG_WRAPPERS
1359
1360 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1361 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1362 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1363 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1364 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1365 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1366 @GIWS_TRUE@             done; \
1367 @GIWS_TRUE@     fi
1368
1369 @GIWS_TRUE@giws-exception:
1370 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1371 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1372 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1373
1374 macros:
1375         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1376                 echo "Error : Cannot build $< : Scilab has not been built"; \
1377         else \
1378                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1379         fi)
1380
1381 # Removes the macros
1382 clean-macros:
1383 # Removes macros (*.bin generated from .sci)
1384         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1385                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1386                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1387         done
1388
1389 test:
1390 # More tests could be added here
1391         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1392         if test -f build.xml -a $$USEANT -eq 1; then \
1393                 $(ANT) test; \
1394         fi
1395
1396 all-local: $(TARGETS_ALL)
1397
1398 .sci.bin:
1399         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1400         echo "Error : Cannot build $< : Scilab has not been build"; \
1401         else \
1402         echo "Creating $@"; \
1403         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1404         fi )
1405
1406 install-html-local:
1407
1408 install-data-local-local:
1409 # Mainly for javasci
1410         @if test -d $(srcdir)/javadoc; then \
1411                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1412         fi
1413 # If the user wants the help sources to be installed
1414 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1415 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1416 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1417 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1418 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1419 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1420 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1421 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1422 @INSTALL_HELP_XML_TRUE@           done ; \
1423 @INSTALL_HELP_XML_TRUE@         fi; \
1424 @INSTALL_HELP_XML_TRUE@  fi; \
1425 @INSTALL_HELP_XML_TRUE@ done; \
1426 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1427 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1428 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1429 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1430 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1431 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1432 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1433 @INSTALL_HELP_XML_TRUE@           done ; \
1434 @INSTALL_HELP_XML_TRUE@         fi; \
1435 @INSTALL_HELP_XML_TRUE@ fi
1436 install-data-local:
1437 # Install the tests
1438         @echo "-------- Install tests (if any) --------"; \
1439         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1440           if test -d $(srcdir)/$$dir/; then \
1441             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1442                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1443                     if test -d "$(srcdir)/$$dir/$$file"; then \
1444                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1445                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1446                     else \
1447                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1448                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1449                     fi \
1450                   done; \
1451           fi; \
1452         done
1453 # Install the help chapter
1454         @echo "-------- Install the help chapter (if any) --------"; \
1455         for lang in $(HELP_CHAPTERLANG); do \
1456                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1457                 if test -f $$HELPFILE; then \
1458                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1459                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1460                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1461                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1462                 fi; \
1463         done
1464 # Install the demos & examples
1465         @echo "-------- Install demos & examples (if any) --------"; \
1466         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1467           if test -d $(srcdir)/$$dir/; then \
1468             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1469                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1470                     if test -d "$(srcdir)/$$dir/$$file"; then \
1471                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1472                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1473                     else \
1474                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1475                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1476                     fi \
1477                   done; \
1478           fi; \
1479         done
1480 # Install the macros
1481         @echo "-------- Install macros (if any) --------"; \
1482         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1483           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1484                 if test -d $(srcdir)/$$dir/; then \
1485                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1486                         if test -n "$(MACROSSPECIALEXT)"; then \
1487                                 specialExtDir=""; \
1488                                 for specialExt in $(MACROSSPECIALEXT); do \
1489                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1490                                 done; \
1491                                 FILELIST="$$FILELIST $$specialExtDir"; \
1492                         fi; \
1493                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1494                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1495                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1496                   done; \
1497                 fi; \
1498         done
1499 # Install java files (.jar)
1500         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1501         echo "-------- Install jar files --------"; \
1502     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1503           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1504                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1505                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1506           done ; \
1507         fi
1508
1509 ########### CLEAN ###################
1510 # Clean help (generated automatically by Scilab)
1511 # It used to clean the macro (clean-macros) but this was causing
1512 # make clean && make to fail Scilab startup
1513 @NEED_JAVA_TRUE@clean-local: clean-java
1514 @NEED_JAVA_FALSE@clean-local:
1515
1516 distclean-local:
1517         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1518
1519 .PHONY: macros java swig giws
1520
1521 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1522 # Otherwise a system limit (for SysV at least) may be exceeded.
1523 .NOEXPORT: